%{
  #include <stdio.h>
  #include <stdlib.h>
  #include "y.tab.h"
  extern int yylval;
%}

%%

[0-9]+               { yylval=atoi(yytext); return number; }
[a-zA-Z][a-zA-Z0-9]* { yylval=0; return ident; }

[ \t] {;}
\n return 0;
. return yytext[0];

%%

int yywrap()
{
  return 1;
}
